---
# drone encrypt kosssi/slides.lamelio.fr $AWS_ACCESS_KEY_ID
kind: secret
name: PRODUCTION_AWS_ACCESS_KEY_ID
data: SzwoRUH77HIgApNSr4pIWzShKEqfrjDY6wm/KICad7+LoJAC/CB/l2KV9QB++RmbtT1Liy2C

---
# drone encrypt kosssi/slides.lamelio.fr $AWS_SECRET_ACCESS_KEY
kind: secret
name: PRODUCTION_AWS_SECRET_ACCESS_KEY
data: E7w1BA/oedq53fzYAemHlUP6UX84ejtnapAXt1M0d/O7z4iV4KjTzv2tr8dDZaomBSR3DiZtA4lx/irnzkhPyYHnWF1eF9MQSA70ijMP+Aq2cP/ED8mULYFkzBs=

---
kind: pipeline
type: docker
name: prod

platform:
  os: linux
  arch: arm64

steps:
- name: install submodule
  image: drone/git
  commands:
  - git submodule update --init

- name: build website
  image: klakegg/hugo:0.107.0-ext-debian-ci
  commands:
    - hugo --minify

- name: deploy
  image: klakegg/hugo:0.107.0-ext-debian-ci
  environment:
    AWS_ACCESS_KEY_ID:
      from_secret: PRODUCTION_AWS_ACCESS_KEY_ID
    AWS_SECRET_ACCESS_KEY:
      from_secret: PRODUCTION_AWS_SECRET_ACCESS_KEY
  commands:
    - hugo deploy

trigger:
  event:
    - push
  branch:
    - master
